# $Revision: 1.23 $, $Date: 2010/10/09 15:50:23 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	File_Fstab
Summary:	%{_pearname} - read and write fstab files
Summary(pl.UTF-8):	%{_pearname} - odczyt i zapis plików fstab
Name:		php-pear-%{_pearname}
Version:	2.0.3
Release:	1
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	89f6833bbb31e18349b84422870fa125
URL:		http://pear.php.net/package/File_Fstab/
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File_Fstab is an easy-to-use package which can read & write UNIX fstab
files. It presents a pleasant object-oriented interface to the fstab.
Features:
- Supports blockdev, label, and UUID specification of mount device.
- Extendable to parse non-standard fstab formats by defining a new
  Entry class for that format.
- Easily examine and set mount options for an entry.
- Stable, functional interface.
- Fully documented with PHPDoc.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
File_Fstab to łatwy w użyciu pakiet odczytujący i zapisujący uniksowe
pliki fstab. Oferuje on miły zorientowany obiektowo interfejs do
fstaba. Cechy pakietu:
- obsługuje określanie urządzenia poprzez urządzenie blokowe, etykietę
  i UUID
- rozszerzalny w celu analizy niestandardowych formatów fstab poprzez
  zdefiniowanie nowej klasy Entry dla danego formatu
- łatwe sprawdzanie i ustawianie opcji montowania dla danej pozycji
- stabilny, funkcjonalny interfejs
- w pełni udokumentowany przy użyciu PHPDoc.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

install -d examples
mv .%{php_pear_dir}/example.php examples

# makefile for package creator
rm .%{php_pear_dir}/data/File_Fstab/Makefile

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/File/Fstab.php
%{php_pear_dir}/File/Fstab

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File_Fstab.spec,v $
Revision 1.23  2010/10/09 15:50:23  glen
- up to 2.0.3

Revision 1.22  2008/01/31 12:17:18  glen
- rel 5

Revision 1.21  2007-09-13 11:18:33  baggins
- rel 4

Revision 1.20  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.18  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.17  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.16  2006/01/09 08:44:24  glen
- req just pear core package; rel 3

Revision 1.15  2005/10/05 18:31:31  glen
- rel 2

Revision 1.14  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.13  2005/09/22 19:18:06  glen
- 2.0.2

Revision 1.12  2005/09/20 21:57:25  glen
- new pear packaging

Revision 1.11  2004/12/03 22:06:23  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.10  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.9  2004/10/18 21:39:48  adamg
- updated to 2.0.1

Revision 1.8  2004/06/10 17:57:54  adamg
- fixed URL

Revision 1.7  2004/06/10 17:50:36  adamg
- updated to 2.0.0

Revision 1.6  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.5  2004/05/07 07:02:39  adamg
- cosmetics

Revision 1.4  2004/05/06 01:03:12  ankry
- caps unified

Revision 1.3  2004/05/05 21:57:12  adamg
- updated to 1.0.4

Revision 1.2  2004/05/04 19:04:27  qboosh
- pl desc

Revision 1.1  2004/05/02 13:33:17  adamg
- new
